﻿using C1.C1Preview.Export;
using C1.C1Report;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PrintOptionsWithPrintPreviewControl
{
    public partial class Form1 : Form
    {
        C1Report rpt = null;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            rpt = new C1Report();
            rpt.Load("..\\..\\Report.xml", "MainReport");
            c1PrintPreviewControl1.Document = rpt;
            ToolStripButton btnSave = new ToolStripButton();
            c1PrintPreviewControl1.ToolBars.File.Save.Visible = false;
            btnSave.Image = c1PrintPreviewControl1.ToolBars.File.Save.Image;
            c1PrintPreviewControl1.ToolBars.File.ToolStrip.Items.Insert(1,btnSave);
            btnSave.Click += BtnSave_Click;
        }

        private void BtnSave_Click(object sender, EventArgs e)
        {
            SaveFileDialog sfd = new SaveFileDialog();
            // set up your dialog options here
            sfd.Filter = "Adobe PDF(*.pdf)|*.pdf | C1 Document(*.c1d)|*.c1d";
            if (sfd.ShowDialog(this) == DialogResult.OK)
            {
                string extension = Path.GetExtension(sfd.FileName).ToLower().Trim();
                switch (extension)
                {
                    case ".pdf":
                        // ... or this to save as PDF
                        PdfExporter pdf = new PdfExporter();
                        pdf.Document = this.c1PrintPreviewControl1.Document;
                        pdf.Security.AllowPrint = true;
                        pdf.Security.AllowCopyContent = true;
                        pdf.Security.AllowEditContent = true;
                        pdf.Security.AllowEditAnnotations = true;
                        pdf.ShowOptions = false;
                        pdf.Export(sfd.FileName);
                        break;
                    case ".c1d":
                        //code for saving c1 document here
                        break;
                    case "":
                        //for other type
                        break;
                    default:
                        break;
                }
            }
        }
    }
}